{% extends "infra/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}{% if object %}Editar{% else %}Nuevo{% endif %} equipo{% endblock %}
{% block extra_head %}
  <link rel="stylesheet" type="text/css" href="{% static 'theme/plugins/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css' %}">
{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
  <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item"><a href="{% url 'gear-list' %}">Equipo</a></li>
  <li class="breadcrumb-item active">{% if object %}Editar{% else %}Nuevo{% endif %} Equipo</li>
</ol>
  <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Equipo <small> {% if object %}editar{% else %}nuevo{% endif %}</small></h1>
  <!-- end page-header -->
  <!-- begin row -->
  <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-widget-1">
        <div class="panel-heading">
          <h4 class="panel-title">{% if object %}Editar{% else %}Nuevo{% endif %} Equipo</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
              <button id="cancel-button" type="button" class="btn btn-danger btn-sm pull-right ml-1"><i class="fa fa-window-close"></i></button>
              <button id="save-button" type="button" class="btn btn-success btn-sm pull-right ml-1"><i class="fa fa-save"></i></button>
            </div>
          </div>
          <form id="gear-form" method="post">
            {% csrf_token %}
            {{ form.media }}

            <div id="gear-form-app">

              {% for field in form %}
                <div class="form-group row m-b-15">
                  {% if field.field.required %}
                    <label for="{{ field.auto_id }}" class="col-form-label col-md-3">{{ field.label }} <span style="color:#ff2924; font-weight: bold;">*</span></label>
                  {% else %}
                    <label for="{{ field.auto_id }}" class="col-form-label col-md-3">{{ field.label }}</label>
                  {% endif %}
                  <div class="col-sm-9">
                    
                    {% render_field field class="form-control m-b-5"%}
                    
                      {% for error in field.errors %}
                        <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
                      {% endfor %}
                  </div>
                </div>
              {% endfor %}
            </div>
          </form>

        </div>
      </div>
      <!-- end panel -->
    </div>
    <!-- end col-6 -->
  </div>
  <!-- end row -->

  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->

  {% endblock %}



{% block pageleveljs %}
  <script src="https://unpkg.com/vue"></script>
  <script src="https://unpkg.com/vue-resource"></script>

  <script type="text/javascript" src="{% static 'theme/plugins/eonasdan-bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min.js' %}"></script>
  <script type="text/javascript">
  $(document).ready(function(){
     // save and cancel buttons
$('#save-button').click(function() {
    $('#gear-form').submit();
});
$('#cancel-button').click(function() {
    window.location.href = '/gear/';
});

$('#id_node').on('change', function(){
    app.getAvailableIPs(this.value);
});
  });

var app = new Vue({
  el: '#gear-form-app',
  data: {
node_id: null,
available_ips: [],
  },
  methods: {
getAvailableIPs: function(node_id) {
    this.$http.get('/nodes/'+node_id+'/available-ips/').then(response => {
  this.available_ips = response.body.available_ips;
  var selected_ip = this.available_ips[0];
  if (!$('input[id="id_ip"]').val()) {
      $('input[id="id_ip"]').val(selected_ip);		    
  }
    });
}
  }
});

  </script>
{% endblock %}
